From: Sergio Durigan Junior <sergiodj@sergiodj.net>
Date: Sun, 12 Jun 2016 16:02:12 -0400
Subject: Using CPPFLAGS

---
 makefile_aixILP32_utf8_gcc            | 2 +-
 makefile_aixLP64_utf8_gcc             | 2 +-
 makefile_aixLP64_utf8_xlc             | 2 +-
 makefile_aix_utf8_gcc                 | 2 +-
 makefile_aix_utf8_xlc                 | 2 +-
 makefile_amal_darwin_utf8_ffi         | 2 +-
 makefile_bsd                          | 2 +-
 makefile_bsdLP64                      | 2 +-
 makefile_bsdLP64_utf8                 | 2 +-
 makefile_bsdLP64_utf8_ffi             | 2 +-
 makefile_bsdLP64_utf8_lib             | 2 +-
 makefile_bsd_lib                      | 2 +-
 makefile_bsd_utf8                     | 2 +-
 makefile_bsd_utf8_ffi                 | 2 +-
 makefile_bsd_utf8_lib                 | 2 +-
 makefile_cygwin                       | 2 +-
 makefile_cygwinLP64                   | 2 +-
 makefile_darwin                       | 2 +-
 makefile_darwinLP64                   | 2 +-
 makefile_darwinLP64_utf8              | 2 +-
 makefile_darwinLP64_utf8_ffi          | 2 +-
 makefile_darwinLP64_utf8_lib          | 2 +-
 makefile_darwin_universal_utf8_compat | 2 +-
 makefile_darwin_utf8                  | 2 +-
 makefile_darwin_utf8_ffi              | 2 +-
 makefile_darwin_utf8_leopardIntel     | 2 +-
 makefile_darwin_utf8_leopardIntel_ffi | 2 +-
 makefile_darwin_utf8_leopardPPC       | 2 +-
 makefile_darwin_utf8_leopardPPC_ffi   | 2 +-
 makefile_darwin_utf8_lib              | 2 +-
 makefile_linux                        | 2 +-
 makefile_linuxLP64                    | 2 +-
 makefile_linuxLP64_ffi                | 2 +-
 makefile_linuxLP64_lib                | 2 +-
 makefile_linuxLP64_redhat_utf8_ffi    | 2 +-
 makefile_linuxLP64_utf8               | 2 +-
 makefile_linuxLP64_utf8_ffi           | 2 +-
 makefile_linux_ffi                    | 2 +-
 makefile_linux_lib                    | 2 +-
 makefile_linux_lib_utf8               | 2 +-
 makefile_linux_maemo_utf8             | 2 +-
 makefile_linux_openwrt                | 2 +-
 makefile_linux_redhat_utf8_ffi        | 2 +-
 makefile_linux_utf8                   | 2 +-
 makefile_linux_utf8_ffi               | 2 +-
 makefile_mingw                        | 2 +-
 makefile_mingw64                      | 2 +-
 makefile_mingw64_ffi                  | 2 +-
 makefile_mingw64_utf8                 | 2 +-
 makefile_mingw64_utf8_ffi             | 2 +-
 makefile_mingw64dll                   | 2 +-
 makefile_mingw64dll_ffi               | 2 +-
 makefile_mingw64dll_utf8              | 2 +-
 makefile_mingw64dll_utf8_ffi          | 2 +-
 makefile_mingw_ffi                    | 2 +-
 makefile_mingw_utf8                   | 2 +-
 makefile_mingw_utf8_ffi               | 2 +-
 makefile_mingwdll                     | 2 +-
 makefile_mingwdll_ffi                 | 2 +-
 makefile_mingwdll_utf8                | 2 +-
 makefile_mingwdll_utf8_ffi            | 2 +-
 makefile_netbsd                       | 2 +-
 makefile_netbsd_utf8                  | 2 +-
 makefile_opensolaris                  | 2 +-
 makefile_os2                          | 2 +-
 makefile_raspberrypi                  | 2 +-
 makefile_raspberrypi_utf8             | 2 +-
 makefile_sunos                        | 2 +-
 makefile_sunosLP64                    | 2 +-
 makefile_sunosLP64_utf8               | 2 +-
 makefile_sunos_utf8                   | 2 +-
 makefile_tru64                        | 2 +-
 72 files changed, 72 insertions(+), 72 deletions(-)

diff --git a/makefile_aixILP32_utf8_gcc b/makefile_aixILP32_utf8_gcc
index 0ba3fad..a3d17bb 100644
--- a/makefile_aixILP32_utf8_gcc
+++ b/makefile_aixILP32_utf8_gcc
@@ -12,7 +12,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -maix32 -lm  -ldl -lrt -lnsl -o newlisp 
 
 .c.o: 
-	$(CC) $(DEFAULT_CFLAGS) $< 
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $< 
 
 $(OBJS): primes.h protos.h makefile_aixILP32_utf8_gcc 
 # 
diff --git a/makefile_aixLP64_utf8_gcc b/makefile_aixLP64_utf8_gcc
index 5c0deeb..acc1235 100644
--- a/makefile_aixLP64_utf8_gcc
+++ b/makefile_aixLP64_utf8_gcc
@@ -12,7 +12,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -maix64 -lm  -ldl -lrt -lnsl -o newlisp 
 
 .c.o: 
-	$(CC) $(DEFAULT_CFLAGS) $< 
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $< 
 
 $(OBJS): primes.h protos.h makefile_aixLP64_utf8_gcc 
 # 
diff --git a/makefile_aixLP64_utf8_xlc b/makefile_aixLP64_utf8_xlc
index 97b9726..7143860 100644
--- a/makefile_aixLP64_utf8_xlc
+++ b/makefile_aixLP64_utf8_xlc
@@ -14,7 +14,7 @@ default: $(OBJS)
 	OBJECT_MODE=64 $(CC) $(LDFLAGS) $(OBJS) -lm  -ldl -lrt -lnsl -o newlisp 
 
 .c.o: 
-	$(CC) $(DEFAULT_CFLAGS) $< 
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $< 
 
 $(OBJS): primes.h protos.h makefile_aixLP64_utf8_xlc
 #=====================================================================================
diff --git a/makefile_aix_utf8_gcc b/makefile_aix_utf8_gcc
index ed2918c..cb5b06e 100644
--- a/makefile_aix_utf8_gcc
+++ b/makefile_aix_utf8_gcc
@@ -12,7 +12,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -lm  -ldl -lrt -lnsl -o newlisp 
 
 .c.o: 
-	$(CC) $(DEFAULT_CFLAGS) $< 
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $< 
 
 $(OBJS): primes.h protos.h makefile_aix_utf8_gcc 
 # 
diff --git a/makefile_aix_utf8_xlc b/makefile_aix_utf8_xlc
index 74fe320..6a08948 100644
--- a/makefile_aix_utf8_xlc
+++ b/makefile_aix_utf8_xlc
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -lm  -ldl -lrt -lnsl -o newlisp 
 
 .c.o: 
-	$(CC) $(DEFAULT_CFLAGS) $< 
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $< 
 
 $(OBJS): primes.h protos.h makefile_aix_utf8_xlc
 #=====================================================================================
diff --git a/makefile_amal_darwin_utf8_ffi b/makefile_amal_darwin_utf8_ffi
index 251b5d8..58d653a 100644
--- a/makefile_amal_darwin_utf8_ffi
+++ b/makefile_amal_darwin_utf8_ffi
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -lreadline -lffi -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 newlisp-amal.c:
 	cat newlisp.c nl-symbol.c nl-math.c nl-list.c nl-liststr.c nl-string.c nl-filesys.c \
diff --git a/makefile_bsd b/makefile_bsd
index a10cb31..e1533ac 100644
--- a/makefile_bsd
+++ b/makefile_bsd
@@ -18,7 +18,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsd
 
diff --git a/makefile_bsdLP64 b/makefile_bsdLP64
index c993aa4..b5454bc 100644
--- a/makefile_bsdLP64
+++ b/makefile_bsdLP64
@@ -18,7 +18,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsdLP64
 
diff --git a/makefile_bsdLP64_utf8 b/makefile_bsdLP64_utf8
index ef75b65..20ff2e1 100644
--- a/makefile_bsdLP64_utf8
+++ b/makefile_bsdLP64_utf8
@@ -18,7 +18,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsdLP64_utf8
 
diff --git a/makefile_bsdLP64_utf8_ffi b/makefile_bsdLP64_utf8_ffi
index 652c5c7..989c944 100644
--- a/makefile_bsdLP64_utf8_ffi
+++ b/makefile_bsdLP64_utf8_ffi
@@ -18,7 +18,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsdLP64_utf8_ffi
 
diff --git a/makefile_bsdLP64_utf8_lib b/makefile_bsdLP64_utf8_lib
index 192f0ac..e318c14 100644
--- a/makefile_bsdLP64_utf8_lib
+++ b/makefile_bsdLP64_utf8_lib
@@ -11,7 +11,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -lm -shared -o newlisp.so
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsdLP64_utf8_lib
 
diff --git a/makefile_bsd_lib b/makefile_bsd_lib
index f0b7a84..8e67ae2 100644
--- a/makefile_bsd_lib
+++ b/makefile_bsd_lib
@@ -11,7 +11,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -shared -o newlisp.so
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsd_lib
 
diff --git a/makefile_bsd_utf8 b/makefile_bsd_utf8
index f714825..7d78e31 100644
--- a/makefile_bsd_utf8
+++ b/makefile_bsd_utf8
@@ -16,7 +16,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsd_utf8
 
diff --git a/makefile_bsd_utf8_ffi b/makefile_bsd_utf8_ffi
index d01566d..223d4b2 100644
--- a/makefile_bsd_utf8_ffi
+++ b/makefile_bsd_utf8_ffi
@@ -17,7 +17,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsd_utf8_ffi
 
diff --git a/makefile_bsd_utf8_lib b/makefile_bsd_utf8_lib
index 104b481..b4ba8b5 100644
--- a/makefile_bsd_utf8_lib
+++ b/makefile_bsd_utf8_lib
@@ -11,7 +11,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -shared -o newlisp.so
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_bsd_utf8_lib
 
diff --git a/makefile_cygwin b/makefile_cygwin
index a0b12dd..39c92cf 100644
--- a/makefile_cygwin
+++ b/makefile_cygwin
@@ -29,7 +29,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lffi -o newlisp.exe
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_cygwin
 
diff --git a/makefile_cygwinLP64 b/makefile_cygwinLP64
index 1b996f1..f256baa 100644
--- a/makefile_cygwinLP64
+++ b/makefile_cygwinLP64
@@ -29,7 +29,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lffi -o newlisp.exe
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_cygwin
 
diff --git a/makefile_darwin b/makefile_darwin
index a84fd64..c66e0a1 100644
--- a/makefile_darwin
+++ b/makefile_darwin
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -lreadline -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin
 
diff --git a/makefile_darwinLP64 b/makefile_darwinLP64
index c71aba2..afeaa25 100644
--- a/makefile_darwinLP64
+++ b/makefile_darwinLP64
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -lreadline -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): newlisp.h primes.h protos.h makefile_darwinLP64
 
diff --git a/makefile_darwinLP64_utf8 b/makefile_darwinLP64_utf8
index 26dd4e1..7c9bd72 100644
--- a/makefile_darwinLP64_utf8
+++ b/makefile_darwinLP64_utf8
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -lreadline -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): newlisp.h primes.h protos.h makefile_darwinLP64_utf8
 
diff --git a/makefile_darwinLP64_utf8_ffi b/makefile_darwinLP64_utf8_ffi
index 78c9847..b33573d 100644
--- a/makefile_darwinLP64_utf8_ffi
+++ b/makefile_darwinLP64_utf8_ffi
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -lm -lreadline -lffi -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8_ffi
 
diff --git a/makefile_darwinLP64_utf8_lib b/makefile_darwinLP64_utf8_lib
index 707204c..ad842b3 100644
--- a/makefile_darwinLP64_utf8_lib
+++ b/makefile_darwinLP64_utf8_lib
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -lm -lreadline -bundle -o newlisp.dylib
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwinLP64_utf8_lib
 
diff --git a/makefile_darwin_universal_utf8_compat b/makefile_darwin_universal_utf8_compat
index e177e24..0ac3e6a 100644
--- a/makefile_darwin_universal_utf8_compat
+++ b/makefile_darwin_universal_utf8_compat
@@ -40,7 +40,7 @@ default: $(OBJS)
 #   lipo newlisp-universal -output newlisp-ppc -thin ppc
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_universal_utf8_compat
 
diff --git a/makefile_darwin_utf8 b/makefile_darwin_utf8
index ce14874..0892f56 100644
--- a/makefile_darwin_utf8
+++ b/makefile_darwin_utf8
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -lreadline -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8
 
diff --git a/makefile_darwin_utf8_ffi b/makefile_darwin_utf8_ffi
index 453a0bd..58157fe 100644
--- a/makefile_darwin_utf8_ffi
+++ b/makefile_darwin_utf8_ffi
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -lreadline -lffi -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8_ffi
 
diff --git a/makefile_darwin_utf8_leopardIntel b/makefile_darwin_utf8_leopardIntel
index 9c16a1a..e68efb5 100644
--- a/makefile_darwin_utf8_leopardIntel
+++ b/makefile_darwin_utf8_leopardIntel
@@ -23,7 +23,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -mmacosx-version-min=10.5 -arch i386 -g -lm -lreadline -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8_leopardIntel
 
diff --git a/makefile_darwin_utf8_leopardIntel_ffi b/makefile_darwin_utf8_leopardIntel_ffi
index ed83a23..81c85da 100644
--- a/makefile_darwin_utf8_leopardIntel_ffi
+++ b/makefile_darwin_utf8_leopardIntel_ffi
@@ -23,7 +23,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -mmacosx-version-min=10.5 -arch i386 -g -lm -lreadline -lffi -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8_leopardIntel_ffi
 
diff --git a/makefile_darwin_utf8_leopardPPC b/makefile_darwin_utf8_leopardPPC
index e893fe1..0b778f2 100644
--- a/makefile_darwin_utf8_leopardPPC
+++ b/makefile_darwin_utf8_leopardPPC
@@ -28,7 +28,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -mmacosx-version-min=10.5 -arch ppc -g -lm -lreadline -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8_leopardPPC
 
diff --git a/makefile_darwin_utf8_leopardPPC_ffi b/makefile_darwin_utf8_leopardPPC_ffi
index 876e430..4d77f1d 100644
--- a/makefile_darwin_utf8_leopardPPC_ffi
+++ b/makefile_darwin_utf8_leopardPPC_ffi
@@ -28,7 +28,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -mmacosx-version-min=10.5 -arch ppc -g -lm -lreadline -lffi -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8_leopardPPC_ffi
 
diff --git a/makefile_darwin_utf8_lib b/makefile_darwin_utf8_lib
index 99c567c..e00257b 100644
--- a/makefile_darwin_utf8_lib
+++ b/makefile_darwin_utf8_lib
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -lreadline -bundle -o newlisp.dylib
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_darwin_utf8_lib
 
diff --git a/makefile_linux b/makefile_linux
index aa34513..0f560ef 100644
--- a/makefile_linux
+++ b/makefile_linux
@@ -18,7 +18,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux
 
diff --git a/makefile_linuxLP64 b/makefile_linuxLP64
index d308eca..bb8b096 100644
--- a/makefile_linuxLP64
+++ b/makefile_linuxLP64
@@ -17,6 +17,6 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linuxLP64
diff --git a/makefile_linuxLP64_ffi b/makefile_linuxLP64_ffi
index 5e31b72..0e821a3 100644
--- a/makefile_linuxLP64_ffi
+++ b/makefile_linuxLP64_ffi
@@ -17,6 +17,6 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linuxLP64_ffi
diff --git a/makefile_linuxLP64_lib b/makefile_linuxLP64_lib
index b82f9f5..d6c9bbc 100644
--- a/makefile_linuxLP64_lib
+++ b/makefile_linuxLP64_lib
@@ -14,6 +14,6 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -shared -o newlisp.so
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linuxLP64_lib
diff --git a/makefile_linuxLP64_redhat_utf8_ffi b/makefile_linuxLP64_redhat_utf8_ffi
index 4db1120..7bfe4f3 100644
--- a/makefile_linuxLP64_redhat_utf8_ffi
+++ b/makefile_linuxLP64_redhat_utf8_ffi
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linuxLP64_redhat_utf8_ffi
 
diff --git a/makefile_linuxLP64_utf8 b/makefile_linuxLP64_utf8
index 4dea813..a123f7b 100644
--- a/makefile_linuxLP64_utf8
+++ b/makefile_linuxLP64_utf8
@@ -17,6 +17,6 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linuxLP64_utf8
diff --git a/makefile_linuxLP64_utf8_ffi b/makefile_linuxLP64_utf8_ffi
index 30ee8c6..3d0a204 100644
--- a/makefile_linuxLP64_utf8_ffi
+++ b/makefile_linuxLP64_utf8_ffi
@@ -20,6 +20,6 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linuxLP64_utf8_ffi
diff --git a/makefile_linux_ffi b/makefile_linux_ffi
index d386cf3..f663343 100644
--- a/makefile_linux_ffi
+++ b/makefile_linux_ffi
@@ -18,7 +18,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux_ffi
 
diff --git a/makefile_linux_lib b/makefile_linux_lib
index f91b505..c2619a9 100644
--- a/makefile_linux_lib
+++ b/makefile_linux_lib
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -ldl -shared -o newlisp.so
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux_lib
 
diff --git a/makefile_linux_lib_utf8 b/makefile_linux_lib_utf8
index 1836f34..17e5a41 100644
--- a/makefile_linux_lib_utf8
+++ b/makefile_linux_lib_utf8
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -ldl -shared -o newlisp.so
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux_lib_utf8
 
diff --git a/makefile_linux_maemo_utf8 b/makefile_linux_maemo_utf8
index f227d07..3cfd02b 100644
--- a/makefile_linux_maemo_utf8
+++ b/makefile_linux_maemo_utf8
@@ -18,7 +18,7 @@ default: $(OBJS)
 #    $(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux_maemo_utf8
 
diff --git a/makefile_linux_openwrt b/makefile_linux_openwrt
index 53d7cbf..8c0866b 100644
--- a/makefile_linux_openwrt
+++ b/makefile_linux_openwrt
@@ -21,7 +21,7 @@ default: $(OBJS)
 	mv newlisp_s newlisp
 
 .c.o:
-   	$(CC) $(DEFAULT_CFLAGS) $<
+   	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 	$(OBJS): primes.h protos.h makefile_linux_openwrt
 
 
diff --git a/makefile_linux_redhat_utf8_ffi b/makefile_linux_redhat_utf8_ffi
index c9f4525..148f1b4 100644
--- a/makefile_linux_redhat_utf8_ffi
+++ b/makefile_linux_redhat_utf8_ffi
@@ -14,7 +14,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux_redhat_utf8_ffi
 
diff --git a/makefile_linux_utf8 b/makefile_linux_utf8
index fb6576b..1ceb4fe 100644
--- a/makefile_linux_utf8
+++ b/makefile_linux_utf8
@@ -17,7 +17,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux_utf8
 
diff --git a/makefile_linux_utf8_ffi b/makefile_linux_utf8_ffi
index 24487c0..1c9d64e 100644
--- a/makefile_linux_utf8_ffi
+++ b/makefile_linux_utf8_ffi
@@ -17,7 +17,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_linux_utf8_ffi
 
diff --git a/makefile_mingw b/makefile_mingw
index 81fc5a0..3b32a01 100644
--- a/makefile_mingw
+++ b/makefile_mingw
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw
 
diff --git a/makefile_mingw64 b/makefile_mingw64
index 7dea019..5ba3098 100644
--- a/makefile_mingw64
+++ b/makefile_mingw64
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw64
 
diff --git a/makefile_mingw64_ffi b/makefile_mingw64_ffi
index 27e7659..9e2fdba 100644
--- a/makefile_mingw64_ffi
+++ b/makefile_mingw64_ffi
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw64_ffi
 
diff --git a/makefile_mingw64_utf8 b/makefile_mingw64_utf8
index 4381b17..89278c0 100644
--- a/makefile_mingw64_utf8
+++ b/makefile_mingw64_utf8
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw64_utf8
 
diff --git a/makefile_mingw64_utf8_ffi b/makefile_mingw64_utf8_ffi
index c315fd2..fffc64f 100644
--- a/makefile_mingw64_utf8_ffi
+++ b/makefile_mingw64_utf8_ffi
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw64_utf8_ffi
 
diff --git a/makefile_mingw64dll b/makefile_mingw64dll
index e6ce5bd..a684311 100644
--- a/makefile_mingw64dll
+++ b/makefile_mingw64dll
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingw64dll
 
diff --git a/makefile_mingw64dll_ffi b/makefile_mingw64dll_ffi
index bfa8483..a142b18 100644
--- a/makefile_mingw64dll_ffi
+++ b/makefile_mingw64dll_ffi
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingw64dll_ffi
 
diff --git a/makefile_mingw64dll_utf8 b/makefile_mingw64dll_utf8
index 2c90047..655dd28 100644
--- a/makefile_mingw64dll_utf8
+++ b/makefile_mingw64dll_utf8
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingw64dll_utf8
 
diff --git a/makefile_mingw64dll_utf8_ffi b/makefile_mingw64dll_utf8_ffi
index c8b5f5a..9db633d 100644
--- a/makefile_mingw64dll_utf8_ffi
+++ b/makefile_mingw64dll_utf8_ffi
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingw64dll_utf8_ffi
 
diff --git a/makefile_mingw_ffi b/makefile_mingw_ffi
index ee1bfc5..2b5a6a1 100644
--- a/makefile_mingw_ffi
+++ b/makefile_mingw_ffi
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw_ffi
 
diff --git a/makefile_mingw_utf8 b/makefile_mingw_utf8
index 56553d5..80dc75c 100644
--- a/makefile_mingw_utf8
+++ b/makefile_mingw_utf8
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw_utf8
 
diff --git a/makefile_mingw_utf8_ffi b/makefile_mingw_utf8_ffi
index e89badf..9c8aaf3 100644
--- a/makefile_mingw_utf8_ffi
+++ b/makefile_mingw_utf8_ffi
@@ -15,7 +15,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.exe 
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h newlisp.h makefile_mingw_utf8_ffi
 
diff --git a/makefile_mingwdll b/makefile_mingwdll
index 0192a05..9e9ffa8 100644
--- a/makefile_mingwdll
+++ b/makefile_mingwdll
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingwdll
 
diff --git a/makefile_mingwdll_ffi b/makefile_mingwdll_ffi
index 6a2edd9..47c95c2 100644
--- a/makefile_mingwdll_ffi
+++ b/makefile_mingwdll_ffi
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingwdll_ffi
 
diff --git a/makefile_mingwdll_utf8 b/makefile_mingwdll_utf8
index fcccaf9..5b672f3 100644
--- a/makefile_mingwdll_utf8
+++ b/makefile_mingwdll_utf8
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingwdll_utf8
 
diff --git a/makefile_mingwdll_utf8_ffi b/makefile_mingwdll_utf8_ffi
index 24277d3..79880dd 100644
--- a/makefile_mingwdll_utf8_ffi
+++ b/makefile_mingwdll_utf8_ffi
@@ -17,7 +17,7 @@ default: $(OBJS)
 	$(STRIP) newlisp.dll
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_mingwdll_utf8_ffi
 
diff --git a/makefile_netbsd b/makefile_netbsd
index 236f087..b0861aa 100644
--- a/makefile_netbsd
+++ b/makefile_netbsd
@@ -17,7 +17,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_netbsd
 
diff --git a/makefile_netbsd_utf8 b/makefile_netbsd_utf8
index 7ef0fe3..21ac816 100644
--- a/makefile_netbsd_utf8
+++ b/makefile_netbsd_utf8
@@ -17,7 +17,7 @@ default: $(OBJS)
 #	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_netbsd_utf8
 
diff --git a/makefile_opensolaris b/makefile_opensolaris
index 242de00..ae88361 100644
--- a/makefile_opensolaris
+++ b/makefile_opensolaris
@@ -17,6 +17,6 @@ default: $(OBJS)
 	@echo ""
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_solaris
diff --git a/makefile_os2 b/makefile_os2
index 9b2c9a2..54326c5 100644
--- a/makefile_os2
+++ b/makefile_os2
@@ -15,7 +15,7 @@ default: $(OBJS)
 	#$(CC) $(LDFLAGS) $(OBJS) -Zomf -Zmt -lm -ldl -o newlisp.exe
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_os2
 
diff --git a/makefile_raspberrypi b/makefile_raspberrypi
index 15054e6..973171b 100644
--- a/makefile_raspberrypi
+++ b/makefile_raspberrypi
@@ -21,7 +21,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_raspberrypi
 
diff --git a/makefile_raspberrypi_utf8 b/makefile_raspberrypi_utf8
index 4e8caaa..c904d22 100644
--- a/makefile_raspberrypi_utf8
+++ b/makefile_raspberrypi_utf8
@@ -20,7 +20,7 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_raspberrypi_utf8
 
diff --git a/makefile_sunos b/makefile_sunos
index f130a02..d237f42 100644
--- a/makefile_sunos
+++ b/makefile_sunos
@@ -13,6 +13,6 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -ldl -lrt -lsocket -lnsl -lreadline -lncurses -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_sunos
diff --git a/makefile_sunosLP64 b/makefile_sunosLP64
index a3e02fe..78d45a1 100644
--- a/makefile_sunosLP64
+++ b/makefile_sunosLP64
@@ -14,6 +14,6 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -lm -ldl -lrt -lsocket -lnsl -lreadline -lncurses -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_sunosLP64
diff --git a/makefile_sunosLP64_utf8 b/makefile_sunosLP64_utf8
index 78c987c..caf1f00 100644
--- a/makefile_sunosLP64_utf8
+++ b/makefile_sunosLP64_utf8
@@ -14,6 +14,6 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m64 -lm -ldl -lrt -lsocket -lnsl -lreadline -lncurses -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_sunosLP64
diff --git a/makefile_sunos_utf8 b/makefile_sunos_utf8
index 57dbdc2..f51b2d1 100644
--- a/makefile_sunos_utf8
+++ b/makefile_sunos_utf8
@@ -16,6 +16,6 @@ default: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -ldl -lrt -lsocket -lnsl -lreadline -lncurses -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_sunos_utf8
diff --git a/makefile_tru64 b/makefile_tru64
index 5590a49..ef607aa 100644
--- a/makefile_tru64
+++ b/makefile_tru64
@@ -17,7 +17,7 @@ readline: $(OBJS)
 	$(CC) $(LDFLAGS) $(OBJS) -lm -lrt -ldb -lbsd -lreadline -ltermcap -o newlisp
 
 .c.o:
-	$(CC) $(DEFAULT_CFLAGS) $<
+	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
 
 $(OBJS): primes.h protos.h makefile_tru64
 
